import java.io.*;

class Chose {
  private String texte;
  private int nb;
  private float val;
  private boolean ok;
  
  Chose (String nomFichier) {
    if (nomFichier == null) {
	    texte = "";
		nb = 0;
		val = 0;
		ok = true;
    } else {
		chargeDepuis(nomFichier);
    }
  }
  public void enregistreDansTexte(String nomFichier) {
    try {
	    PrintWriter pw = new PrintWriter(new FileWriter(new File(nomFichier)));
	    pw.println(texte);
	    pw.println(nb);
	    pw.println(val);
	    pw.println(ok);
	    pw.flush();
	    pw.close();
    } catch(IOException e) {}
  }
  public void enregistreDansBinaire(String nomFichier) {
    try {
		DataOutputStream dos = new DataOutputStream(new FileOutputStream(nomFichier));
		dos.writeUTF(texte);
		dos.writeInt(nb);
		dos.writeFloat(val);
		dos.writeBoolean(ok);
		dos.close();
    } catch(IOException e) {}
  }
  private void chargeDepuisTexte(String nomFichier) {
    try {
		File f = new File(nomFichier);
		FileReader fr = new FileReader(f);
		BufferedReader br = new BufferedReader(fr);
		texte = br.readLine();
		nb = Integer.parseInt(br.readLine());
		val = Float.parseFloat(br.readLine());
		ok = Boolean.valueOf(br.readLine());
		br.close();
		fr.close();
		f.close();
    } catch(IOException e) { return; }
  }
  private void chargeDepuisBinaire(String nomFichier) {
    try {
		DataInputStream dis = new DataInputStream(new FileInputStream(nomFichier));
		texte = dis.readUTF();
		nb = dis.readInt();
		val = dis.readFloat();
		ok = dis.readBoolean();
		dis.close();
    } catch(IOException e) { return; }
  }
  public String texte() { return texte; }
  public int nombre() { return nb; }
  public float valeur() { return val; }
  public boolean bon() { return ok; }
  public void texte(String texte) { this.texte = texte; }
  public void nombre(int nombre) { nb = nombre; }
  public void valeur(float valeur) { val = valeur; }
  public void bon() { ok = true; }
  public void mauvais() { ok = false; }
}
