import java.io.*;

class cp {
  private static FileInputStream source;
  private static FileOutputStream dest;
  public static void fermeSource(String nomFichier) {
    try { source.close(); }
    catch (IOException e) { System.err.println("Erreur a la fermeture du fichier " + nomFichier); }
  }
  public static void fermeDest(String nomFichier) {
    try { dest.close(); }
    catch (IOException e) { System.err.println("Erreur a la fermeture du fichier " + nomFichier); }
  }
  public static void main(String arg[]) {
    int increment = 4;
    if (arg.length != 2) {
      System.err.println("Usage: java cp [nom de Fichier] [nom du duplicata]");
      return;
    }
    try {
      source = new FileInputStream(arg[0]);
    } catch (IOException e) {
      System.err.println("Erreur a l'ouverture du fichier " + arg[0]);
      return;
    }
    try {
      dest = new FileOutputStream(arg[1]);
    } catch (IOException e) {
      System.err.println("Erreur a la creation du fichier " + arg[1]);
      fermeSource(arg[0]);
      return;
    }
    int octet;
    long compteur = 0;
    do {
      try {
        octet = source.read();
      } catch (IOException e) {
        System.err.println("Erreur a la lecture dans le fichier " + arg[0]);
        fermeSource(arg[0]);
        fermeDest(arg[1]);
        return;
      }
      compteur = compteur + 1;
      if (compteur % increment == 0)
        System.out.print(".");
      if (octet != -1)
        try {
          dest.write(octet);
        } catch (IOException e) {
          System.err.println("Erreur a l'ecriture dans le fichier " + arg[1]);
          fermeSource(arg[0]);
          fermeDest(arg[1]);
          return;
        }
    } while (octet != -1);
    System.out.println("OK.");
    fermeSource(arg[0]);
    fermeDest(arg[1]);
  }
}