import java.io.*;

class EssaiChoseAFaireV2 {
  public static void main(String arg[]) {
    ChoseAFaireV2 uneChose;
    int priorite;
    String quoi;

    System.out.print("Quoi faire ? ");
    quoi = IN.getString();
    System.out.print("Avec quelle priorite ? ");
    do {
      priorite = IN.getInt();
    } while (priorite < 1 || priorite > 5);
    uneChose = new ChoseAFaireV2(quoi, priorite);
    System.out.println(uneChose);
    uneChose.termine();
    System.out.println(uneChose);
//enregistrement texte
    PrintWriter pw;
    try {
      pw = new PrintWriter(new FileWriter(new File("uneChose.txt")));
      pw.println(uneChose);
      pw.flush();
      pw.close();
    } catch(IOException e) {
      System.err.println("Erreur en ecriture du fichier texte!" + e);
    }
//enregistrement binaire
    ObjectOutputStream oos;
    try {
      oos = new ObjectOutputStream(new FileOutputStream("uneChose.obj2"));
      oos.writeObject(uneChose);
      oos.flush();
      oos.close();
    } catch(IOException e) {
      System.err.println("Erreur en ecriture du fichier binaire!" + e);
    }
//chargement texte
    uneChose = null;
    BufferedReader br;
    try {
      br = new BufferedReader(new FileReader(new File("uneChose.txt")));
      uneChose = new ChoseAFaireV2(br.readLine());
      System.out.println(uneChose);
      br.close();
    } catch (Exception e) {
      System.err.println("Erreur en lecture du fichier texte!" + e);
    }
//chargement binaire
    uneChose = null;
    ObjectInputStream ois;
    try {
      ois = new ObjectInputStream(new FileInputStream("uneChose.obj2"));
      uneChose = (ChoseAFaireV2) ois.readObject();
      System.out.println(uneChose);
      ois.close();
    } catch (Exception e) {
      System.err.println("Erreur en lecture du fichier binaire!" + e);
    }
  }
}